- Qt 5.15
- Qt 3D
- C++ Classes
- QRenderSettings
- Qt 5.15.11 Reference Documentation

# QRenderSettings Class

class Qt3DRender::QRenderSettings

The QRenderSettings class holds settings related to rendering process and host the active FrameGraph. More...

Header: | #include <QRenderSettings>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | RenderSettings
Inherits: | Qt3DCore::QComponent

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Public Types

enum | RenderPolicy { OnDemand, Always }

## Properties

- activeFrameGraph : Qt3DRender::QFrameGraphNode*
- pickingSettings : Qt3DRender::QPickingSettings* const
- renderCapabilities : Qt3DRender::QRenderCapabilities* const
- renderPolicy : RenderPolicy

## Public Functions

QFrameGraphNode * | activeFrameGraph() const
QPickingSettings * | pickingSettings()
QRenderCapabilities * | renderCapabilities()
RenderPolicy | renderPolicy() const

## Public Slots

void | setActiveFrameGraph(QFrameGraphNode *activeFrameGraph)
void | setRenderPolicy(RenderPolicy renderPolicy)

## Signals

void | activeFrameGraphChanged(QFrameGraphNode *activeFrameGraph)
void | renderPolicyChanged(RenderPolicy renderPolicy)

## Detailed Description

The QRenderSettings component must be set as a component of the scene root entity. It specifies render policy and picking settings, as well as hosts the active FrameGraph.

## Member Type Documentation

### enum QRenderSettings::RenderPolicy

The render policy.

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QRenderSettings::OnDemand` | `0` | The FrameGraph is rendered only when something changes.
`Qt3DRender::QRenderSettings::Always` | `1` | The FrameGraph is rendered continuously, even if nothing has changed.

## Property Documentation

### activeFrameGraph : Qt3DRender::QFrameGraphNode*

Holds the currently active FrameGraph.

Access functions:

QFrameGraphNode * | activeFrameGraph() const
void | setActiveFrameGraph(QFrameGraphNode *activeFrameGraph)

Notifier signal:

void | activeFrameGraphChanged(QFrameGraphNode *activeFrameGraph)

### pickingSettings : Qt3DRender::QPickingSettings* const

Holds the current pick settings for the FrameGraph.

Access functions:

QPickingSettings * | pickingSettings()

### renderCapabilities : Qt3DRender::QRenderCapabilities* const

Holds the details of the supported rendering engine

This property was introduced in Qt 5.15.

Access functions:

QRenderCapabilities * | renderCapabilities()

### renderPolicy : RenderPolicy

Holds the current render policy.

Access functions:

RenderPolicy | renderPolicy() const
void | setRenderPolicy(RenderPolicy renderPolicy)

Notifier signal:

void | renderPolicyChanged(RenderPolicy renderPolicy)